API Reference
Log In
API Reference

Create a new Organization

Creates a new organization. tenantId is required in the request body to properly associate the organization with a tenant. parentId is optional: omit for top-level organizations; to create a nested organization, set parentId to an existing organization ID (retrieve with GET /v2/api/organizations?tenantId={tenantId}).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Organization configuration

organization

string
required

The name of the organization

string | null

The organization's external id

string | null

The organization's logo

string | null

The organization's address 1

string | null

The organization's address 2

string | null

The organization's city address

string | null

The organization's state address

string | null

The organization's country

string | null

The organization's postal code

string | null

The organization's billing phone number

string | null

The organization's phone number

string | null

The organization's contact email address

string | null

The organization's remittance instructions

string | null

The organization's website URL

string | null
enum

The organization's currency

string | null

The organization's metadata (in key / value pairs)

string | null

The organization's domain aliases

string | null
enum

The organization type (array with single value). Use CONSUMER for organizations (end customers who consume APIs and accumulate usage costs). Note: MANAGING is used by team endpoints (see /v2/api/teams) and should not be used when creating organizations.

Allowed:
tenant
required
string | null
required

The unique identifier of the tenant that owns this organization. Required to associate the organization with a tenant. Format: Revenium hashid (URL-safe encoded string).

parent
string | null

Optional. Omit this field when creating a top-level organization. To create a nested organization, set parentId to an existing organization ID (retrieve IDs using GET /v2/api/organizations?tenantId={tenantId}). Format: Revenium hashid (URL-safe encoded string).

boolean | null

Whether automatic discovery of API sources is enabled for this organization

boolean | null

Whether automatic discovery of metering element definitions is enabled for this organization

string | null

The email address for billing-related communications

callCountElementDefinition
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*